/* Dieses Programm ffnet eine AmigaGuide-Datei
 * synchron und wartet auf deren Beendigung
 */
#include <proto/exec.h>
#include <proto/amigaguide.h>
#include <stdio.h>
#include <stdlib.h>

struct Library *AmigaGuideBase = NULL;

/* Name der Guide-Datei */
char GuideName[]="_WORK2:ARexx.Guide";

main(long argc, char **argv)
{
  struct NewAmigaGuide sync = {NULL};
  AMIGAGUIDECONTEXT MyHandle;

  AmigaGuideBase = OpenLibrary("amigaguide.library",0L);

  if( AmigaGuideBase )
  {
    /* Die Struktur fr den synchronen Aufruf einer
     * AmigaGuide-Datei vorbereiten
     */
    sync.nag_Name=GuideName;

    /* AmigaGuide-Datei ffnen */
    printf("ffnen der AmigaGuide-Datei %s\n"
           "Der Programmablauf wird erst nach "
           "Beendigung des Dokuments fortgesetzt.\n",
           GuideName);

    MyHandle=OpenAmigaGuide( &sync, NULL );

    /* AmigaGuide wieder schlieen (sofern der
     * Aufruf erfoglreich war
     */
    if( MyHandle )
      CloseAmigaGuide( MyHandle );

    /* Library schlieen */
    CloseLibrary( AmigaGuideBase );
  }
  printf("Programm beendet.\n");
}
